For the complete documentation index, see llms.txt. This page is also available as Markdown.

Usage Find By Datacenter

Returns the usage of a contract for a given data-center

get
Authorizations
AuthorizationstringRequired
Path parameters
contractintegerRequired

Contract number

Pattern: [0-9]{5,10}
dcstring · nullableRequired

Get data for the particular data-center ID (VDC UUID)

Example: ad34b997-43c7-4666-889b-57acbeaeeb8bPattern: ^([a-fA-F0-9]{8}-[a-fA-F0-9]{4}-[a-fA-F0-9]{4}-[a-fA-F0-9]{4}-[a-fA-F0-9]{12}|null)$
Query parameters
periodstringOptional

Period of interest in format YYYY-MM (current month by default if not specified)

Pattern: ^\d{4}-\d{2}$
Responses
200

Result data

application/json
startDatestring · dateOptionalExample: 2020-01-01
endDatestring · dateOptionalExample: 2020-01-12
get/{contract}/usage/{dc}
GET /billing/{contract}/usage/{dc} HTTP/1.1
Host: api.ionos.com
Authorization: Basic username:password
Accept: */*
{
  "startDate": "2020-01-01",
  "endDate": "2020-01-12",
  "datacenters": [
    {
      "id": "ad34b997-43c7-4666-889b-57acbeaeeb8b",
      "name": "Main VDC",
      "location": "EU",
      "meters": [
        {
          "meterId": "C01000",
          "meterDesc": "1h core AMD",
          "quantity": {
            "quantity": "742.00",
            "unit": "1hour"
          }
        }
      ]
    }
  ],
  "metadata": {
    "contractId": "31805900",
    "customerId": "112505406",
    "reference": "31805900"
  }
}

Last updated

Was this helpful?